Subject: AW: [Sipping] RE: draft-johnston-enum-conf-service-00

From: "Stastny Richard" <[email-masked]>
Date: Thu, 17 Feb 2005 15:54:27 +0100

Following your dicussion with interest, I am also not so sure
if the conf-uri enumservice will add much.
 
But what is definitely useful is the conf-web, pointing to a webpage
having additional info related to the conference. This could be current participants,
slides presented (e.g. link to glance), links to releated documents, etc.
 
Richard

________________________________

Von: [email-masked] im Auftrag von Paul Kyzivat
Gesendet: Do 17.02.2005 15:32
An: Johnston, Alan
Cc: sipping
Betreff: Re: [Sipping] RE: draft-johnston-enum-conf-service-00

Johnston, Alan wrote:
> Paul,
>
> Thanks for your comments.
>
> In a scenario in which the E.164 number is part of a SIP conference,
> then there would be both 'sip' and 'conf-uri' ENUM service URIs, and
> they would be the same.

OK. I would have been more confused if they were different.

> The advantage of having the 'conf-uri' in
> addition to the 'sip' is that it effectively already includes the
> "isfocus" feature tag, telling the UA that the SIP URI is a conference
> URI.  Of course, the UA could do an ENUM query, get the 'sip' URI then
> do an OPTIONS to the URI to find out that it is a conference, but this
> is less streamlined.

The advantage seems at best marginal. This only makes sense if the
number is more or less permanently assigned to a conference, rather than
being the number of somebody's phone that might sometimes be a
conference. So there is a fair chance that the caller already knows it
is a conference a priori, and if not, will find out as soon as a call is
established.

I'm scratching my head more because I can't imagine too many cases where
a phone number would be dedicated to a conference. I can imagine
(because it is common) having a phone number dedicated to a conference
*server*. But that is not the same thing. When I call one of those I
have to interact with an IVR and provide a separate id of a specific
conference. So the number itself does not designate a conference and
couldn't be bound to a conf-uri.

> There are other types of conferences in which there may not be SIP media
> but SIP or other protocol URIs could be used for conferencing services.
> For these, there would be no 'sip' service URI, but there could be a
> 'conf-uri' service SIP URI.  The UA could then SUBSCRIBE to this
> conference URI, but the media, would be routed over the PSTN. (Any
> INVITEs sent to this conference URI would be politely redirected to the
> E.164 number in a tel URI.)

I can almost buy this as a hypothetical, though I'm dubious that I will
ever encounter such a thing in practice.

I'd need to see a much more compelling case before I would bother
implementing code to take advantage of this.

> I can't think of any scenarios in which if they were both present, the
> 'sip' and 'conf-uri' URIs would be different.

That's comforting.

        Thanks,
        Paul

> Thanks,
> Alan Johnston
> sip:[email-masked]
>
>
>>-----Original Message-----
>>From: Paul Kyzivat [mailto:[email-masked]]
>>Sent: Wednesday, February 16, 2005 5:13 PM
>>To: Johnston, Alan
>>Cc: 'sipping'
>>Subject: Re: draft-johnston-enum-conf-service-00
>>
>>
>>Alan,
>>
>>I'm confused by this draft. I'm asking on sipping because I
>>suspect that
>>is the best place to discuss. (Maybe xcon, but I think that
>>is not for
>>the sip part of conferences.)
>>
>>If I have an E.164 number that has an Enumservice entry for
>>"conf-uri",
>>it must be a permanent conference. For non-conference-aware
>>clients to
>>call this conference, it probably has an Enum entry for "sip". (Or
>>h.323...) What added benefit is provided by an entry for
>>"conf-uri"? If
>>the "conf-uri" is a sip uri, will it have a different value that an
>>entry for sip? If so, why?
>>
>>      Paul
>>
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP